Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1660295 - computes have "virtual-guest" tuning profile, instead of the expected "virtual-host"
Summary: computes have "virtual-guest" tuning profile, instead of the expected "virtua...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Emilien Macchi
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 06:17 UTC by Anil Dhingra
Modified: 2019-09-09 13:26 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-30 07:37:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anil Dhingra 2018-12-18 06:17:53 UTC
Description of problem:

In our OSP13 deployment, the computes have "virtual-guest" tuning profile, instead of the expected "virtual-host"
[root@atl1-cmp001 ~]# tuned-adm active
Current active profile: virtual-guest

True as per Git - introduced in OSP13

with openstack-tripleo-heat-templates-8.0.7-4.el7ost.

[1] https://github.com/openstack/tripleo-heat-templates/blob/stable/queens/roles/Compute.yaml#L14


checking further
the ceph nodes have "throughput-performance", and we were wondering whether it would be better to have "latency-performance" as a default.

[212587568@atl1-ceph001-sata ~]$ tuned-adm active
Current active profile: throughput-performance

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

looking for history/reason behind "virtual-host" to virtual-guest


What is the recommendation from Red Hat on these settings?

Additional info:

Comment 1 Martin Schuppert 2018-12-18 08:29:02 UTC
(In reply to Anil Dhingra from comment #0)
> Description of problem:
> 
> In our OSP13 deployment, the computes have "virtual-guest" tuning profile,
> instead of the expected "virtual-host"
> [root@atl1-cmp001 ~]# tuned-adm active
> Current active profile: virtual-guest
> 
> True as per Git - introduced in OSP13
> 
> with openstack-tripleo-heat-templates-8.0.7-4.el7ost.
> 
> [1]
> https://github.com/openstack/tripleo-heat-templates/blob/stable/queens/roles/
> Compute.yaml#L14
> 

I am not sure I understand the current situation. Have you run another overcloud deploy when updating to the new THT and you still have virtual-guest as the profile?
If so, do you use a custom role data file which as not the virtual-host set for computes?

> 
> checking further
> the ceph nodes have "throughput-performance", and we were wondering whether
> it would be better to have "latency-performance" as a default.
> 
> [212587568@atl1-ceph001-sata ~]$ tuned-adm active
> Current active profile: throughput-performance

This should be a separate BZ as this is a question to the storage team and not compute.

> 
> 
> Expected results:
> 
> looking for history/reason behind "virtual-host" to virtual-guest
> 

Sorry, don't understand this. Please clarify


Note You need to log in before you can comment on or make changes to this bug.